{% extends "layout.html" %}
{% set pageId = "page-create-point" %}

{% block styles %}
    <link rel="stylesheet" href="/styles/create-point.css">
    <link rel="stylesheet" href="/styles/modal.css">
{% endblock styles %}

{% block title %}
    <title>Criar um ponto de coleta</title>
{% endblock title %}

{% block content %}
    {% include "partials/page-header.html" %}
    <form action="/savepoint" method="POST">
        <h1>Cadastro do ponto de coleta</h1>
        <fieldset>
            <legend>
                <h2>Dados da entidade</h2>
            </legend>
            <div class="field-group">
                <div class="field">
                    <label for="name">Nome da entidade</label>
                    <input type="text" name="name" required="required">

                </div>
                  <div class="field">
                    <label for="name">Imagem da entidade</label>
                    <input placeholder="http://" type="url" name="image" required="required">

                </div>
            </div>
            
            <div class="field-group">
                <div class="field">
                    <label for="address">Endereço</label>
                    <input type="text" name="address" required="required">
                </div>
                <div class="field">
                    <label for="address2">Numero/complemento</label>
                    <input type="text" name="address2" required="required">
                </div>
            </div>
            <!-- cidade estado -->
            <div class="field-group">
                <div class="field">
                    <label for="state">Estado</label>
                    <select name="uf" id="" required="required">
                        <option value="">selecione o Estado</option>
                    </select>
                    <input type="hidden" name="state">
                </div>
                <div class="field">
                    <label for="city">Cidade</label>
                    <select name="city" id="" disabled="disabled" required="required">
                        <option value="">Selecione o Cidade</option>
                    </select>
                </div>
            </div>
        </fieldset>

        <fieldset>
            <legend>
                <h2>Itens de coleta</h2>
                <span>Selecione um ou mais itens abaixo</span>
            </legend>
            <div class="items-grid">
                <li data-id="Lâmpadas">
                    <img src="/assets/lampadas.svg" alt="Lâmpadas">
                    <span>Lâmpadas</span>
                </li>
                <li data-id="Pilhas e baterias">
                    <img src="/assets/baterias.svg" alt="Lâmpadas">
                    <span>Pilhas e baterias</span>
                </li>
                <li data-id="Papéis e Papelão">
                    <img src="/assets/papeis-papelao.svg" alt="Lâmpadas">
                    <span>Papéis e Papelão</span>
                </li>
                <li data-id="Resíduos Eletrônicos">
                    <img src="/assets/eletronicos.svg" alt="Lâmpadas">
                    <span>Resíduos Eletrônicos</span>
                </li>
                <li data-id="Resíduos Orgânicos">
                    <img src="/assets/organicos.svg" alt="Lâmpadas">
                    <span>Resíduos Orgânicos</span>
                </li>
                <li data-id="Óleo de cozinha">
                    <img src="/assets/oleo.svg" alt="Lâmpadas">
                    <span>Óleo de cozinha</span>
                </li>
            </div>
            <input type="hidden" name="items">
        </fieldset>
        <button type="submit" >Cadastrar ponto de coleta</button>
    </form>
    
    
{% endblock content %}
{% block modal %}
{% if saved %}
        {% include "partials/point-created.html" %}}
    {% endif %}
{% endblock modal %}
{% block scripts %}
    <script src="scripts/create-point.js"></script>
{% endblock scripts %}